<section>
  <h1>Timers</h1>
  <app-timer *ngFor="let time of timers" [init]="time" (finish)="showEndTimerAlert()"></app-timer>

  <button class="add" (click)="showAddTimer()">+</button>

  <app-alert-view [hidden]="!isAddTimerVisible">
    <button (click)="hideAddTimer()" class="cancel-button">Cancel</button>
    <button (click)="submitAddTimer()">Ok</button>

    <label>Set the number of seconds for your timer</label>
    <input [(ngModel)]="time" type="number">

    <div header>
      <span>Add timer</span>
    </div>

  </app-alert-view>


  <app-alert-view [hidden]="!isEndTimerAlertVisible">
    <div header>
      Timer ended˜
    </div>

    <div>Your countdown has finished</div>

    <button (click)="hideEndTimerAlert()">Ok</button>

  </app-alert-view>

</section>
